unescape_string
| Rivet Tcl Commands and Variables |

## Name

unescape_string — unescape escaped characters in a string.

## Synopsis

::rivet::unescape_string ?string?

## Description

Scans through each character in the specified string looking for escaped character sequences (characters containing a percent sign and two hexadecimal characters), unescaping them back to their original character values, as needed, also mapping plus signs to spaces, and returning the result.

This is useful for unquoting strings that have been quoted to be part of a URL.

try |  | upload